package org.artifactory.core.api.ph.exception;

public class PackageRuntimeException extends RuntimeException {

    private final int status;
    private final String publicReason;
    private final String internalReason;

    public PackageRuntimeException(int status, String publicReason, String internalReason, PackageException cause) {
        super(publicReason, cause);
        this.status = status;
        this.publicReason = publicReason;
        this.internalReason = internalReason;
    }

    public int getStatus() {
        return status;
    }

    public String getPublicReason() {
        return publicReason;
    }

    public String getInternalReason() {
        return internalReason;
    }
}
